CREATE procedure [C6StagingPeriodico].[RP_ST_PosizioniPortafoglio] as  
begin   
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_PosizioniPortafoglio',  
  GETDATE(),  
  'Elaborazione Trimestrale'  
 )  
 truncate table C6StagingPeriodico.RP_PosizioniPortafoglio  
 insert into C6StagingPeriodico.RP_PosizioniPortafoglio  
 select   
chiavePosizionePtf,  
chiaveProgetto,  
dtInizioValidita,  
'99991231' as[dtFineValidita],  
chiaveProdotto,  
conto,  
rubricato,  
codConf,  
numPolizza,  
custGar,  
codAbi,  
termId,  
anno,  
prog  
  from [CONSUNI_PERIODICO].[consulenzaUnica].dbo.PosizioniPortafoglio  
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_PosizioniPortafoglio' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'RP_ST_PosizioniPortafoglio'  
  )  
end